cURL
curl \
-X GET 'MEILISEARCH_URL/indexes/books/settings/pagination' \
-H 'Authorization: Bearer API_KEY'client.index('books').getPagination()$client->index('books')->getPagination();client.index('books').get_pagination_settings()client.index("books").getPaginationSettings();index('books').paginationclient.Index("books").GetPagination()await client.Index("movies").GetPaginationAsync();let pagination: PaginationSetting = client
.index("books")
.get_pagination()
.await
.unwrap();await client.index('movies').getPagination();{}{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Index `movies` not found.",
"code": "index_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#index_not_found"
}Pagination
Get pagination
Returns the current value of the pagination setting for the index.
GET
/
indexes
/
{index_uid}
/
settings
/
pagination
cURL
curl \
-X GET 'MEILISEARCH_URL/indexes/books/settings/pagination' \
-H 'Authorization: Bearer API_KEY'client.index('books').getPagination()$client->index('books')->getPagination();client.index('books').get_pagination_settings()client.index("books").getPaginationSettings();index('books').paginationclient.Index("books").GetPagination()await client.Index("movies").GetPaginationAsync();let pagination: PaginationSetting = client
.index("books")
.get_pagination()
.await
.unwrap();await client.index('movies').getPagination();{}{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Index `movies` not found.",
"code": "index_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#index_not_found"
}Authorizations
An API key is a token that you provide when making API calls. Read more about how to secure your project.
Include the API key to the Authorization header, for instance:
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'
If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:
const client = new MeiliSearch({
host: 'MEILISEARCH_URL',
apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1'
});
Path Parameters
Unique identifier of the index.
Response
Returns the current value of the pagination setting.
Pagination: cap on how many results a search can return.
Maximum number of search results Meilisearch can return. Limit and offset cannot go beyond this value.
Required range:
x >= 0Example:
1000
Was this page helpful?